set more 1
clear

set mem 2g


*****************************
capture log using "AERrev tables add controls.log", replace
use estdata_sample_rev, replace



***********************************
*Estimation
*********************************************
gen mktsh=mshareB_hs4d
gen mktsh_dei=mktsh*dei


*prepare variables
gen dei_lnemp=dei*lnemp
gen lntfp=lntfp_WR_n
gen dei_lntfp=dei*lntfp


*mean phi
eststo: areg dpi dei mphi_dei mphi mktsh_dei mktsh dei_lnemp lnemp cdum* yr*, robust cluster(ky) absorb(hs4d)
eststo: areg dpi dei mphi_dei mphi mktsh_dei mktsh dei_lntfp lntfp cdum* yr*, robust cluster(ky) absorb(hs4d)
eststo: areg dpi dei mphi_dei mphi mktsh_dei mktsh dei_lntfp lntfp davwage cdum* yr*, robust cluster(ky) absorb(hs4d)


esttab using "AERrev_tables_addcontrols.csv", se keep(dei mphi_dei mphi mktsh_dei mktsh dei_lnemp lnemp dei_lntfp lntfp davwage dtfp_WR) b(3) se(3) r2 ar2 star(* 0.10 ** 0.05 *** 0.01) order(dei mphi_dei mphi mktsh_dei mktsh dei_lnemp lnemp dei_lntfp lntfp davwage dtfp_WR) compress replace
eststo clear



log close
