set more 1
clear

set mem 2g


*****************************
capture log using "AERrev tables mktsh bins.log", replace

use estdata_sample_rev

***********************************
*Estimation
*********************************************
gen mktsh=mshareB_hs4d
gen mktsh_dei=mktsh*dei

drop if mktsh==1

egen med_mphi=median(mphi)
gen q1=mphi<med_mphi
gen q2=1-q1


egen avmktsh=mean(mktsh), by(vat hs4 cty_code)
bys hs4 cty_code: egen med_avmktsh=pctile(avmktsh), p(75)

*egen med_avmktsh=median(avmktsh), by(hs4 cty_code)

sum med_avmktsh
sum med_mphi


gen low=avmktsh<med_avmktsh
gen high=1-low
gen q1_high=q1*high
gen q1_low=q1*low
gen q2_high=q2*high
gen q2_low=q2*low

sum q1_high q1_low q2_high q2_low


gen dei_q1_high=dei*q1_high
gen dei_q1_low=dei*q1_low
gen dei_q2_high=dei*q2_high
gen dei_q2_low=dei*q2_low

*mean phi

eststo: reg dpi dei_q1_high dei_q2_high dei_q1_low dei_q2_low q1_high q2_high q1_low q2_low, robust cluster(ky) 

test dei_q1_high=dei_q2_high
test dei_q1_high=dei_q1_low
test dei_q1_high=dei_q2_low
test dei_q2_high=dei_q1_low
test dei_q2_high=dei_q2_low
test dei_q1_low=dei_q2_low


esttab using "AERrev_tables_mktshbins.csv", se keep(dei_q1_high  dei_q2_high dei_q1_low dei_q2_low dmc ) b(3) se(3) r2 ar2 star(* 0.10 ** 0.05 *** 0.01) order(dei_q1_high  dei_q2_high dei_q1_low dei_q2_low dmc ) compress replace
eststo clear

gen bin=1 if q1_high==1
replace bin=2 if q1_low==1
replace bin=3 if q2_high==1
replace bin=4 if q2_low==1

gen n=1

collapse (sum) value n, by(bin)
egen totn=sum(n)
gen propn=n/totn
egen totvalue=sum(value)
gen sh=value/totvalue
tabstat sh propn, by(bin)

log close
