set more 1
clear

set mem 3g


*****************************
capture log using "AERrev tables nonparametric.log", replace
*for nonparametric - no fe
use estdata_sample_rev


***********************************
*Estimation
*********************************************
gen mktsh=mshareB_hs4d
gen mktsh_dei=mktsh*dei


************************************
*by mean phi bins
***********************************************

*need to drop these because undefined
replace dwERne=. if dwERne==0


xtile split_e=mphi, nq(4)
quietly tab split, gen(q)


forvalues i=1/4 {
gen q`i'_dei=q`i'*dei
gen dwERne_q`i'=dwERne*q`i'

}


tabstat mphi, by(split) stat(mean min max n)
*col 1
*phi interactions by decile
eststo: reg dpi q*, robust cluster(ky) 
test q1_dei=q2_dei
test q1_dei=q3_dei
test q1_dei=q4_dei
test q2_dei=q3_dei
test q2_dei=q4_dei
test q3_dei=q4_dei

*col 2
eststo: reg dpi q* dmc, robust cluster(ky) 
test q1_dei=q2_dei
test q1_dei=q3_dei
test q1_dei=q4_dei
test q2_dei=q3_dei
test q2_dei=q4_dei
test q3_dei=q4_dei

*col 3
eststo: reg dpi q* dmc mktsh_dei mktsh, robust cluster(ky) 
test q1_dei=q2_dei
test q1_dei=q3_dei
test q1_dei=q4_dei
test q2_dei=q3_dei
test q2_dei=q4_dei
test q3_dei=q4_dei

*col 4
eststo: reg dpi q* mktsh_dei mktsh, robust cluster(ky) 
test q1_dei=q2_dei
test q1_dei=q3_dei
test q1_dei=q4_dei
test q2_dei=q3_dei
test q2_dei=q4_dei
test q3_dei=q4_dei

*col 5
eststo: reg dmc q*, robust cluster(ky) 
test q1_dei=q2_dei
test q1_dei=q3_dei
test q1_dei=q4_dei
test q2_dei=q3_dei
test q2_dei=q4_dei
test q3_dei=q4_dei


*col 6 where dmc is regressed on q*_dwERne
*always use dwERne now ie the one without euro exchange rates
eststo: reg dmc dwERne_q* q2 q3 q4, robust cluster(ky) 
test dwERne_q1=dwERne_q2
test dwERne_q1=dwERne_q3
test dwERne_q1=dwERne_q4
test dwERne_q2=dwERne_q3
test dwERne_q2=dwERne_q4
test dwERne_q3=dwERne_q4


*column 7 - em on ek
eststo: reg dwERne q* , robust cluster(ky) 

test q1_dei=q2_dei
test q1_dei=q3_dei
test q1_dei=q4_dei
test q2_dei=q3_dei
test q2_dei=q4_dei
test q3_dei=q4_dei

esttab using "AERrev_tables_nonpara.csv", se keep(dei q1_dei q2_dei q3_dei q4_dei dmc mktsh_dei mktsh dwERne_q1 dwERne_q2 dwERne_q3 dwERne_q4 ) b(3) se(3) r2 ar2 star(* 0.10 ** 0.05 *** 0.01) order(q1_dei q2_dei q3_dei q4_dei dmc mktsh_dei mktsh dwERne_q1 dwERne_q2 dwERne_q3 dwERne_q4 dei) compress replace
eststo clear

log close




